On this page
No Headings
Get a list of eligible payment methods based on the input parameters provided.
Oauth2 https://uri.paypal.com/services/payments/realtimepayment, https://uri.paypal.com/services/payments/payments-ready, Braintree:PaymentsReady, https://uri.paypal.com/services/payments/client-payments-eligibilityOAuth 2.0 authentication
In: header
Scope: https://uri.paypal.com/services/payments/realtimepayment, https://uri.paypal.com/services/payments/payments-ready, Braintree:PaymentsReady, https://uri.paypal.com/services/payments/client-payments-eligibility
Holds authorization information for external API calls.
^.*$1 <= length <= 16000Header for an API client-provided JWT assertion that identifies the merchant. Establishing the consent to act-on-behalf of a merchant is a prerequisite for using this header.
^.*$1 <= length <= 10000A characteristic string that lets servers and network peers identify the application, operating system, vendor, and/or version of the requesting user agent. API calls made by PayPal SDKs SHOULD be identified using this request header.
^.*$1 <= length <= 16000A GUID value originating from Fraudnet and Dyson passed from external API clients via HTTP header. The value is used by Risk decisions to correlate calls which, in turn, might result in lower decline rates..
^[A-Za-z0-9-{}(),]*$1 <= length <= 68application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
Request samples
Response samples
{
"eligible_methods": {
"venmo": {
"can_be_vaulted": true
}
}
}{
"name": "INVALID_REQUEST",
"debug_id": "b1d1f06c7246c",
"message": "Request is not well-formed, syntactically incorrect, or violates schema",
"details": [
{
"field": "/customer/country_code",
"value": "USA",
"location": "body",
"issue": "INVALID_STRING_LENGTH",
"description": "The value of a field is either too short or too long."
}
],
"links": [
{
"href": "https://developer.paypal.com/docs/api/payments/v2/#errors",
"rel": "information_link",
"method": "GET",
"encType": "application/json"
}
]
}{
"name": "UNPROCESSABLE_ENTITY",
"message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
"debug_id": "90bff07028f7f",
"details": [
{
"field": "/purchase_units/amount/currency_code",
"value": "III",
"issue": "INVALID_CURRENCY_CODE",
"description": "Currency code is invalid. Please refer https://developer.paypal.com/docs/integration/direct/rest/currency-codes/ for list of supported currency codes."
}
],
"links": [
{
"href": "https://developer.paypal.com/docs/api/payments/v2/#errors",
"rel": "information_link",
"method": "GET"
}
]
}Customer who is making a purchase from the merchant/partner.
Array of purchase units.
1 <= items <= 10Preferences of merchant/partner consuming the API.